For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create User (Get KYC URL)

This endpoint allows users to create a customer on our platform and retrieve a URL for OTP verification or KYC.

Please send the customerId(received when created the user for the first time) to get the kycUrl link.

phoneNumber should be in this format:

+{countryCode}-{actualPhoneNumber}

  • The phone number string must begin with a plus sign (+).

  • The countryCode and actualPhoneNumber should be separated by a hyphen (-) symbol.

  • There should be no spaces within the phone number string.

Get kyc url which will redirect to onramp KYC verification.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/kyc/url

Request Body

Name
Type
Description

customerId

String

Unique User Id received from /KycUrl (This customerId required to get the kycUrl if already created the user)

email*

String

Email address of the customer

phoneNumber*

String

Phone number (with country code) of the customer

clientCustomerId*

String

Unique identifier of the customer on Client side

type*

String

Indicates whether this is a business or individual customer (INDIVIDUAL/BUSINESS)

kycRedirectUrl

String

Client URL to return to once the KYC process done. Example: https://www.clientUrl.com

closeAfterLogin

Boolean

true/false, to close the UI just after login.

{
    "status": 1,
    "code": 200,
    "data": {
        "kycUrl": "---url---",
        "clientCustomerId": "---UUID---",
        "customerId": "---customerId---",
        "signature": "---signature---"
    }
}
{
    "status": 0,
    "code": 400,
    "error": "Missing required parameter(s): phoneNumber, clientCustomerId, type",
}
{
    "status": 0,
    "code": 400,
    "error": "Unable to send kycUrl at the moment. Please try again later"
}
{
    "status": 0,
    "code": 400,
    "error": "phoneNumber +9186320525792 already linked to customerId 7wCfJHPZX4_1022 and clientCustomerId Tbx92Mn ",
    "customerId": "7wCfJHPZX4_1022"
}

Last updated